<script>
  import RouterLink from './RouterLink.svelte';
  let isOpen = false;

</script>

<nav class="flex items-center justify-between flex-wrap bg-blue-500 p-6 fixed top-0 w-full z-10">
  <div class="flex items-center flex-shrink-0 text-white mr-6">
    <span class="font-semibold text-xl tracking-tight">Tiny Amazon</span>
  </div>
  <div class="block lg:hidden">
    <button on:click|preventDefault={() => isOpen = !isOpen} class="flex items-center px-3 py-2 border rounded text-teal-200 border-teal-400 hover:text-white hover:border-white">
      <svg class="fill-current h-3 w-3" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><title>Menu</title><path d="M0 3h20v2H0V3zm0 6h20v2H0V9zm0 6h20v2H0v-2z"/></svg>
    </button>
  </div>
  <div class="w-full {isOpen ? 'block' : 'hidden'} flex-grow lg:flex lg:items-center lg:w-auto">
    <div class="text-sm lg:flex-grow">
      <RouterLink page={{path: '/', name:'Home'}}/>
      <RouterLink page={{path: '/author', name: 'Authors'}}/>
      <RouterLink page={{path: '/add', name: 'Add a book'}}/>
    </div>
  </div>
</nav>